<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
<fmt:setBundle basename="hu.midori.kosmos.portlet.svn.svn_monitoring" scope="application"/>

<table>
  <tr class="portlet-section-body">    
    <td><fmt:message key="svnrepository.dirs"/>:</td>
    <td><fmt:formatNumber value="${repository.dirs}"/></td>
  </tr>
  <tr class="portlet-section-alternate">
    <td><fmt:message key="svnrepository.files"/>:</td>
    <td><fmt:formatNumber value="${repository.files}"/></td>
  </tr>
  <tr class="portlet-section-body">
    <td><fmt:message key="svnrepository.totalRepositoryEntries"/>:</td>
    <td><fmt:formatNumber value="${repository.dirs + repository.files}"/></td>
  </tr>
  <tr class="portlet-section-alternate">    
    <td><fmt:message key="svnrepository.totalFileSize"/>:</td>
    <td><fmt:formatNumber value="${repository.totalFileSize}"/>&nbsp;B</td>
  </tr>
  <tr class="portlet-section-body">    
    <td><fmt:message key="svnrepository.repositoryEntryHistory"/>:</td>
    <td><img src="<c:out value="${repository.repoEntriesPerWeekChartUrl}"/>" title="<fmt:message key="svnrepository.repositoryEntryHistory"/>"/></td>
  </tr>
  <%@include file="includes/table_footer.jsp"%>    
</table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.back"/>"/>
</form>
  